API reference

Brands

The brands (shops, labels) of the company that you can access. Use their IDs as brand_id.

Endpoints

GET/api/v1/brandsList, newest first
GET/api/v1/brands/{id}Get one

Read only in v1.

Fields

Every record also has object = "brand".

FieldTypeDescription
id
read only
uuidUnique ID.
name
read only
stringBrand name.
prefix
read only
stringInvoice number prefix.
currency
read only
stringCurrency.
country
read only
stringCountry code.
archived
read only
booleanArchived brands are read-only.
created_at
read only
date-timeWhen it was created (UTC, ISO 8601).

List filters

Add to GET /api/v1/brands as query parameters. Also limit (1–200, default 50) and cursor. See Pagination.

No filters; the list is short.

List

Terminal
curl "$QUILO_URL/api/v1/brands?limit=20" \
  -H "Authorization: Bearer $QUILO_API_KEY"
JSON
{
  "object": "list",
  "data": [
    {
      "object": "brand",
      "id": "6f1c2a90-3b4d-4e5f-8a7b-9c0d1e2f3a4b",
      "name": "Dubai Jewellery",
      "prefix": null,
      "currency": "CHF",
      "country": null,
      "archived": false,
      "created_at": "2026-10-17T09:30:00Z"
    }
  ],
  "has_more": false,
  "next_cursor": null
}

Get one

Terminal
curl "$QUILO_URL/api/v1/brands/ID" -H "Authorization: Bearer $QUILO_API_KEY"
JSON
{
  "object": "brand",
  "id": "6f1c2a90-3b4d-4e5f-8a7b-9c0d1e2f3a4b",
  "name": "Dubai Jewellery",
  "prefix": null,
  "currency": "CHF",
  "country": null,
  "archived": false,
  "created_at": "2026-10-17T09:30:00Z"
}

Unknown IDs, IDs from other companies and records you cannot access all answer 404 not_found.